<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE panel SYSTEM "http://www.sigames.com/dtds/sios/panel.dtd">

<panel title="sections" width="170">
    <layout class="arrange_vertical_attachment" alignment="bottom,extend" gap="0" offset="0"/>
    <layout class="stick_to_sides_attachment" alignment="left" inset="0" layout_children="true"/>

    <!-- top bit with sections in -->
    <container id="scts" appearance="navigation/tree">
      <layout class="fit_children_attachment" alignment="horizontal" offset="0"/>

      <!-- top of the sections area -->
      <widget class="picture" id="pict" auto_size="horizontal" file="interface/tree/top/bar" cached="true">
        <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>
      </widget>

      <container class="scrolling_box">

        <layout class="stick_to_sides_attachment" alignment="left,extend" inset="0"/>
        <layout class="stick_to_sides_attachment" alignment="right" inset="0"/>
        <layout class="stick_to_sides_attachment" alignment="top" inset="0"/>
        <layout class="stick_to_sides_attachment" alignment="bottom,extend" inset="0"/>

        <widget class="tree_menu" id="tree" auto_size="vertical">

          <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>
          <attachment class="get_global_attachment" get_property="subo" set_property="itms" skip_if_null="false"/>
          <attachment class="get_channelled_event_property_attachment" event_id="SSch" get_property="ssub" set_property="slct" skip_if_null="true"/>
          <flags id="spec" value="text"/>
          <flags id="show_icons" value="false"/>

          <record id="sele" event_id="none" event_target="scrn"/>
        </widget>
      </container>
    </container>

    <!-- bottom bit with actions in -->
    <container id="acts">
      <layout class="fit_children_attachment" alignment="vertical" offset="0" gap="0" group="0"/>
      <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>

      <!-- bottom of the sections area -->
      <widget class="picture" id="bott" auto_size="horizontal" file="interface/tree/bottom/bar" cached="true" group="1">
        <layout class="stick_to_sides_attachment" alignment="all" inset="0"/>

        <!-- setting group=1 ensures that this widget isn't included in the widgets
                   that the vertical fit_children_attachments operate on -->
      </widget>

      <!-- Actions Panels -->
      <!-- Only one of these should be visible at any time -->
      <widget class="match_controls_panel" auto_size="vertical" hidden="true" id="sMCP">
        <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>
        <layout class="stick_to_sides_attachment" alignment="bottom" inset="2"/>

        <attachment class="test_global_attachment" get_property="scid" value="22" mode="1" set_property="hidn" skip_if_null="false" skip_if_resetting="false"/>

      </widget>

      <widget class="modal_menu" auto_size="vertical" id="sNMM">
        <flags id="appearance" value="menu/actions"/>
        <flags id="spec" value="text,small"/>

        <layout class="stick_to_sides_attachment" alignment="horizontal" inset="0"/>
        <layout class="stick_to_sides_attachment" alignment="bottom" inset="-2"/>

        <attachment class="get_global_attachment" get_property="acts" set_property="itms" skip_if_resetting="false" priority="1"/>

        <attachment class="test_global_attachment" get_property="scid" set_property="hidn" skip_if_null="false" skip_if_resetting="false" skip_if_false="true" priority="1">
          <list id="value">
            <flags id="value" value="22"/>
          </list>
        </attachment>

        <attachment class="test_global_attachment" get_property="acts" set_property="hidn" skip_if_null="false" skip_if_resetting="false" priority="1"/>

      </widget>

    </container>

</panel>
